# Change Fees Change Fees ## Gets all of the change fees in the system. - [GET /changeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/listchangefees.md): This method will scan all change fees and and return them to the caller. ## Creates a new change fee record that does not already exist. - [POST /changeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/createchangefee.md): This method will auto-generate an ID and create a new change fee. If an ID is specified for the change fee, an error will be thrown. ## Execute Batch Operations - [POST /changeFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a change fee from the system by its ID. - [DELETE /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/deletechangefee.md): This method will delete a change fee with the specified ID. ## Returns a change fee from the system by its ID. - [GET /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/getchangefee.md): This method will look up a change fee by the specified ID and return it back. ## Partially updates a change fee with the specified ID. - [PATCH /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/patchchangefee.md): This method will patch an existing change fee with the specified ID, using the HTTP PATCH specification. ## Updates a change fee with the specified ID. - [PUT /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/updatechangefee.md): This method will update an existing change fee with the specified ID.